summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Martin Rogge2013-06-29 01:34:50 +0200
committer Niels Horn2013-06-29 21:12:53 +0200
commit28b171c7eb5da127bf1b975d96590dad6731dddc (patch)
tree4e7887d295942026d2aac95e5ea97d7e5c909d68 /games
parentff0b2814c4dfd383312ef0dffd7bef3dc5278112 (diff)
downloadslackbuilds-28b171c7eb5da127bf1b975d96590dad6731dddc.tar.gz
games/firestorm-opensim: Added (an alternative Second Life client)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/firestorm-opensim/README28
-rw-r--r--games/firestorm-opensim/doinst.sh15
-rw-r--r--games/firestorm-opensim/firestorm-opensim.SlackBuild106
-rw-r--r--games/firestorm-opensim/firestorm-opensim.desktop11
-rw-r--r--games/firestorm-opensim/firestorm-opensim.info10
-rw-r--r--games/firestorm-opensim/slack-desc19
6 files changed, 189 insertions, 0 deletions
diff --git a/games/firestorm-opensim/README b/games/firestorm-opensim/README
new file mode 100644
index 0000000000..fdd4b22743
--- /dev/null
+++ b/games/firestorm-opensim/README
@@ -0,0 +1,28 @@
+Firestorm Viewer is an alternative client program for SecondLife, a
+virtual world developed by Linden Lab accessible via the internet.
+
+Firestorm Viewer is based on Linden Lab's Viewer versions 2 and 3.
+It has loads of new and innovative features added to improve
+performance, increase usability, and generally enhance the user's
+overall experience.
+
+Firestorm Viewer is a 32 bit application and does not run on standard
+64 bit systems.
+
+NOTE: Linden Lab have stated they intend to begin rolling out Server
+Side Appearance (formerly known as Server Side Baking) on July 9th
+or shortly thereafter. It is of paramount importance that all
+Firestorm users upgrade to 4.4.1 before the 9th of July.
+
+NOTE: the Phoenix Firestorm project require that you do a clean
+install when upgrading to version 4.4.1 from a previous version.
+A detailed documention of the procedure is available at
+http://wiki.phoenixviewer.com/doku.php?id=fs_clean_reinstall .
+
+NOTE: this SlackBuild is made for the Opensim release of Firestorm.
+It can be used for the Second Life main grid and beta grid as well.
+However, if you require those features specific to the Havoc release
+of Firestorm you should use the standard release of Firestorm for
+which a separate package is available. Both packages can be installed
+in parallel on the same Slackware installation.
+
diff --git a/games/firestorm-opensim/doinst.sh b/games/firestorm-opensim/doinst.sh
new file mode 100644
index 0000000000..d7c66ef8ff
--- /dev/null
+++ b/games/firestorm-opensim/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config opt/firestorm-opensim/firestorm.new
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database 1> /dev/null &> /dev/null
+fi
diff --git a/games/firestorm-opensim/firestorm-opensim.SlackBuild b/games/firestorm-opensim/firestorm-opensim.SlackBuild
new file mode 100644
index 0000000000..bf8304c33a
--- /dev/null
+++ b/games/firestorm-opensim/firestorm-opensim.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Phoenix Firestorm
+#
+# This script will repackage the binary distribution into a Slackware package
+#
+# Martin Rogge <martin_rogge@users.sourceforge.net>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# NOTE: this SlackBuild is made for the Opensim release of Firestorm.
+# It can be used for the Second Life main grid and beta grid as well.
+# However, if you require those features specific to the Havoc release
+# of Firestorm you should build the standard release of Firestorm
+# for which a separate package is available.
+# Both packages can be installed in parallel on the same installation.
+
+
+PRGNAM=firestorm-opensim
+VERSION=${VERSION:-4.4.1.34164}
+EXTRAVERSION=${EXTRAVERSION:-OS}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "i686" ] ; then
+ echo "Architecture other than i686 is not supported by upstream at this point."
+ exit
+fi
+
+set -e
+
+BASENAME="Phoenix_Firestorm-Release_i686_${VERSION}"
+FILENAME="Phoenix_Firestorm-Release_i686_${VERSION}${EXTRAVERSION}.tar.bz2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BASENAME
+tar xvjf $CWD/$FILENAME
+cd $BASENAME
+
+chown -R root:root .
+chmod -R u+rw-s,go+r-ws .
+
+mkdir -p $PKG/opt/$PRGNAM
+# copy files just like the install script would do
+cp -a * $PKG/opt/$PRGNAM
+# avoid overwriting the previous configuration
+mv $PKG/opt/$PRGNAM/firestorm $PKG/opt/$PRGNAM/firestorm.new
+# sound configuration for standard Slackware installation
+cat firestorm | sed -e 's/^#export LL_BAD_OPENAL_DRIVER=x/export LL_BAD_OPENAL_DRIVER=x/' > $PKG/opt/$PRGNAM/firestorm.new
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/bash
+cd /opt/$PRGNAM
+exec /opt/$PRGNAM/firestorm
+EOF
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+install -m 0644 -p -D $TMP/$BASENAME/firestorm_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FIRESTORM_DESKTOPINSTALL.txt README*.txt VivoxAUP.txt featuretable_linux.txt gpu_table.txt licenses.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/games/firestorm-opensim/firestorm-opensim.desktop b/games/firestorm-opensim/firestorm-opensim.desktop
new file mode 100644
index 0000000000..17ac92f192
--- /dev/null
+++ b/games/firestorm-opensim/firestorm-opensim.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Encoding=UTF-8
+Name=Firestorm Opensim Viewer
+GenericName=Second Life Opensim Client
+Icon=firestorm-opensim.png
+Exec=firestorm-opensim
+Terminal=false
+StartupNotify=false
+Categories=Application;Game;ActionGame
diff --git a/games/firestorm-opensim/firestorm-opensim.info b/games/firestorm-opensim/firestorm-opensim.info
new file mode 100644
index 0000000000..00f69a82fb
--- /dev/null
+++ b/games/firestorm-opensim/firestorm-opensim.info
@@ -0,0 +1,10 @@
+PRGNAM="firestorm-opensim"
+VERSION="4.4.1.34164"
+HOMEPAGE="http://www.phoenixviewer.com/"
+DOWNLOAD="http://phoenixviewer.googlecode.com/files/Phoenix_Firestorm-Release_i686_4.4.1.34164OS.tar.bz2"
+MD5SUM="0cc459761bddbacee3ca361ed02ed901"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+REQUIRES=""
+MAINTAINER="Martin Rogge"
+EMAIL="martin_rogge@users.sourceforge.net"
diff --git a/games/firestorm-opensim/slack-desc b/games/firestorm-opensim/slack-desc
new file mode 100644
index 0000000000..8aa33013a0
--- /dev/null
+++ b/games/firestorm-opensim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+firestorm: firestorm-opensim (an alternative Second Life client)
+firestorm:
+firestorm: Firestorm Viewer is an alternative client program for Second Life,
+firestorm: a virtual world developed by Linden Lab accessible via the internet.
+firestorm:
+firestorm: Firestorm Viewer is based on Linden Lab's Viewer versions 2 and 3.
+firestorm: It has loads of new and innovative features added to improve
+firestorm: performance, increase usability, and generally enhance the user's
+firestorm: overall experience.
+firestorm:
+firestorm: This is the version with support for open sims.